import request from '@/utils/request'

// 查询共模作业组明细列表
export function listMesMouldShareGroupDetail(query) {
	return request({
		url: '/mes/mesMouldShareGroupDetail/list',
		method: 'get',
		params: query
	})
}

// 查询共模作业组明细详细
export function getMesMouldShareGroupDetail(id) {
	return request({
		url: '/mes/mesMouldShareGroupDetail/' + id,
		method: 'get'
	})
}

// 新增共模作业组明细
export function addMesMouldShareGroupDetail(data) {
	return request({
		url: '/mes/mesMouldShareGroupDetail',
		method: 'post',
		data: data
	})
}

// 修改共模作业组明细
export function updateMesMouldShareGroupDetail(data) {
	return request({
		url: '/mes/mesMouldShareGroupDetail',
		method: 'put',
		data: data
	})
}

// 删除共模作业组明细
export function delMesMouldShareGroupDetail(id) {
	return request({
		url: '/mes/mesMouldShareGroupDetail/' + id,
		method: 'delete'
	})
}